summaryrefslogtreecommitdiff
path: root/distro
diff options
context:
space:
mode:
authorStefano Karapetsas <[email protected]>2012-01-13 23:18:04 +0100
committerStefano Karapetsas <[email protected]>2012-01-13 23:18:04 +0100
commitca0a8f4d6cc24707bc07c3013bff321e2f0c24fd (patch)
tree4c4d47f249603be3cb816b1456a9dc71c0b48999 /distro
downloadpython-caja-ca0a8f4d6cc24707bc07c3013bff321e2f0c24fd.tar.bz2
python-caja-ca0a8f4d6cc24707bc07c3013bff321e2f0c24fd.tar.xz
initial import from Mate-Extra repo
Diffstat (limited to 'distro')
-rw-r--r--distro/archlinux/PKGBUILD28
-rwxr-xr-xdistro/ubuntu/build26
2 files changed, 54 insertions, 0 deletions
diff --git a/distro/archlinux/PKGBUILD b/distro/archlinux/PKGBUILD
new file mode 100644
index 0000000..9613edf
--- /dev/null
+++ b/distro/archlinux/PKGBUILD
@@ -0,0 +1,28 @@
+pkgname=python-caja
+pkgver=2011.12.01
+pkgrel=1
+pkgdesc="Python binding for Caja components"
+arch=('i686' 'x86_64')
+url="http://matsusoft.com.ar/projects/"
+license="GPL"
+groups=('mate-extras')
+makedepends=('pkgconfig' 'python-mate' )
+depends=('mate-file-manager' 'pygtk')
+options=('!libtool' '!emptydirs')
+source=(http://sourceforge.net/projects/matede/files/${pkgver}/${pkgname}.tar.gz/download)
+sha256sums=('4c698543bebf1efd8ab097e47dd4f9ec72e492d3f482748086b271bfc1e36676')
+
+build() {
+ export PYTHON=python2
+ cd "${srcdir}/${pkgname}"
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+
+ make DESTDIR="$pkgdir" install || return 1
+}
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..38b03bc
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# fill it
+pkgname=python-caja
+pkgver=2011.12.01
+pkgrel=1
+pkgdesc="Python binding for Caja components"
+#depends="gstreamer0.10-base-plugins, mate-panel, mate-character-map, libgtop, libmatenotify, cpufrequtils"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static || return 1
+
+ # there is some pre-compiled files on the tar
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh